import {InfojobsNet, InfojobsIt} from '@adv-ui/jobs'

export const domainFactory = ({href, InfojobsIt, InfojobsNet}) => {
  const match = href.match(/infojobs(\w*)\.(\w*)/)
  if (match) {
    const [, environment, portal] = match
    return portal === 'it'
      ? new InfojobsIt({environment})
      : new InfojobsNet({environment})
  }
  return new InfojobsNet({})
}

export default domainFactory({
  href: window.location.href,
  InfojobsNet,
  InfojobsIt
})
